csa_free(library call)

NAME
csa_free — free memory allocated by the calendaring service

SYNOPSIS

#include &<xcsa.h>
CSA_return_code csa_free(
CSA_buffer memory);

DESCRIPTION

The csa_free function frees memory allocated by the calendaring service. After the call, the pointer memory will be invalid and should not be referenced again. When any CSA function allocates and returns a buffer to the application, the application will free that memory with this call when it is finished with the memory. When a CSA function returns a base pointer to a complex structure containing several levels of pointers, all the application will do to free the entire structure or array of structures is call this routine with the base pointer returned by the CSA function. The CSA functions that return structures of this form are csa_list_calendars(3), csa_look_up(3), csa_query_configuration(3), csa_list_calendar_attributes(3), csa_read_calendar_attributes(3), csa_free_time_search(3), csa_add_entry(3), csa_list_entries(3), csa_list_entry_attributes(3), csa_list_entry_sequence(3), csa_read_entry_attributes(3), and csa_read_next_reminder(3), csa_update_entry_attributes(3). The behavior of csa_free(3) is undefined when called with a pointer to a memory block not allocated by the calendaring service, a pointer to a memory block that has already been freed, or a pointer contained in a structure returned by the CSA implementation. In some situations, the extensions specified for a function may be a combination of input and output extensions. In this case, the memory returned in the output extensions must be freed one at a time using csa_free(3).

ARGUMENTS

  Memory (Buffer)

A pointer to memory allocated by the calendaring service. A value of NULL will be ignored, but will return the return code CSA_SUCCESS.

RETURN VALUE

Whether the function succeeded or not, and, if not, why. It may be success or one of the values listed under ERRORS below.

ERRORS

The csa_free function returns the following error values:

CSA_E_FAILURE
    There was a general failure that does not fit the description of any other error code.

CSA_E_INVALID_MEMORY
    A function parameter was invalid.

SEE ALSO

csa/csa.h - csacsa(5), csa_add_calendar(3), csa_add_entry(3), csa_call_callbacks(3), csa_delete_calendar(3), csa_delete_entry(3), csa_free_time_search(3), csa_list_calendar_attributes(3), csa_list_calendars(3), csa_list_entries(3), csa_list_entry_attributes(3), csa_list_entry_sequence(3), csa_logoff(3), csa_logon(3), csa_look_up(3), csa_query_configuration(3), csa_read_calendar_attributes(3), csa_read_entry_attributes(3), csa_read_next_reminder(3), csa_register_callback(3), csa_unregister_callback(3), csa_update_calendar_attributes(3), csa_update_entry_attributes(3).